Get Pending Transactions for an Address
curl --request GET \
--url 'https://eth.blockscout.com/api/?module=account&action=pendingtxlist'import requests
url = "https://eth.blockscout.com/api/?module=account&action=pendingtxlist"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://eth.blockscout.com/api/?module=account&action=pendingtxlist', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "1",
"message": "OK",
"result": [
{
"blockNumber": "<string>",
"timeStamp": "<string>",
"hash": "0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef",
"nonce": "<string>",
"blockHash": "<string>",
"transactionIndex": "<string>",
"from": "0xde0b295669a9fd93d5f28d9ec85e40f4cb697bae",
"to": "0xde0b295669a9fd93d5f28d9ec85e40f4cb697bae",
"value": "<string>",
"gas": "<string>",
"gasPrice": "<string>",
"isError": "0",
"txreceipt_status": "0",
"input": "<string>",
"contractAddress": "0xde0b295669a9fd93d5f28d9ec85e40f4cb697bae",
"cumulativeGasUsed": "<string>",
"gasUsed": "<string>",
"confirmations": "<string>"
}
]
}Account
Get Pending Transactions for an Address
Returns pending transactions for a given address
GET
/
?module=account&action=pendingtxlist
Get Pending Transactions for an Address
Query Parameters
Module name (must be 'account')
Available options:
account Available options:
pendingtxlist 40-character hexadecimal address hash with 0x prefix
Pattern:
^0x[a-fA-F0-9]{40}$Example:
"0xde0b295669a9fd93d5f28d9ec85e40f4cb697bae"
Page number for pagination
Required range:
x >= 1Number of records to return per page (max 10000)
Required range:
1 <= x <= 10000Was this page helpful?